[v-cloak] {
  visibility: hidden;
}

body {
  padding: 0;
}

.search-page {
  background: url('https://static.fhyx.com/images/application/wap/com/ucenter/icon1.png')
    no-repeat;
  background-size: 100% 4.12rem;
  padding-top: 1.28rem;
  margin-top: -1.28rem;
  box-sizing: border-box;
}
.search-page .title-box {
  display: flex;
  align-items: center;
  font-size: 0.3rem;
  line-height: 0.3rem;
  padding: 0 0.3rem;
  box-sizing: border-box;
  margin-top: 0.38rem;
}
.search-page .rank-wrapper .title-box .tag {
  width: 0.42rem;
  height: 0.42rem;
  background: url('https://static.fhyx.com/images/application/wap/com/search_icon2.png')
    center/contain no-repeat;
  margin-right: 0.05rem;
}

.search-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0.14rem;
  margin: 0.1rem 0.08rem;
}
.search-wrapper .back-btn {
  width: 0.42rem;
  height: 0.42rem;
  cursor: pointer;
  background: url('https://static.fhyx.com/images/application/wap/com/search_icon1.png')
    center/contain no-repeat;
}
.search-wrapper .input-box {
  width: 5.68rem;
  height: 0.6rem;
  background: #ffffff;
  border-radius: 1rem;
  display: flex;
  align-items: center;
  gap: 0.2rem;
  padding: 0 0.16rem;
  box-sizing: border-box;
}
.search-wrapper .input-box .icon {
  width: 0.28rem;
  height: 0.3rem;
  background: url('https://static.fhyx.com/images/application/wap/hk/ai10.png')
    center/contain no-repeat;
}
.search-wrapper .input-box input {
  flex: 1;
  border: none;
  background: none;
  outline: none;
  line-height: 0.6rem;
  font-size: 0.26rem;
  color: rgba(104, 104, 104, 0.4);
}
.search-wrapper .search-btn {
  font-size: 0.26rem;
  color: #ffffff;
}

.search-history-wrapper .title-box {
  display: flex;
  justify-content: space-between;
}
.search-history-wrapper .title-box .del-btn {
  cursor: pointer;
}
.search-history-wrapper .history-list {
  --history-item-height: 0.49rem;
  --history-item-gap: 0.14rem;
  position: relative;
  margin: 0 0.3rem;
  box-sizing: border-box;
  display: flex;
  flex-wrap: wrap;
  margin-top: 0.32rem;
  gap: var(--history-item-gap);
  /* max-height: calc(
    var(--history-item-height) * 3 + var(--history-item-gap) * 2
  ); */
  overflow: hidden;
  /* transition: max-height 0.3s ease; */
}
.search-history-wrapper .history-list.is-expanded {
  /* max-height: calc(
    var(--history-item-height) * 6 + var(--history-item-gap) * 5
  ); */
}
.search-history-wrapper .history-item {
  max-width: 3.3rem;
  height: var(--history-item-height);
  background: #f8f8f8;
  border-radius: 1rem;

  color: #686868;
  font-size: 0.24rem;
  line-height: 0.49rem;
  padding: 0 0.21rem;
  box-sizing: border-box;

  text-wrap: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}

.search-history-wrapper .fold-btn .btn {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 0.49rem;
  height: 0.49rem;
  background: #f8f8f8;
  border-radius: 50%;
}
.search-history-wrapper .fold-btn .btn.is-expanded svg {
  transform: rotate(180deg);
}

.search-page .content-box {
  border-radius: 0.22rem;
  background: #ffffff;
  box-sizing: border-box;
  overflow: hidden;
}

.rank-nav-swiper {
  padding: 0 0.3rem;
  margin-top: 0.21rem;
}
.rank-nav-swiper .swiper-slide {
  width: auto;
  height: 0.6rem;
  border-radius: 0.38rem;
  background: #f8f8f8;
  box-sizing: border-box;
  padding: 0 0.26rem;
  border: 1px solid transparent;
  color: #686868;
  font-size: 0.24rem;
  line-height: 0.6rem;
  transition:
    background-color 0.2s,
    border-color 0.2s,
    color 0.2s;
  user-select: none;
}
.rank-nav-swiper .swiper-slide.swiper-slide-thumb-active {
  border-color: #ff6e3e;
  background: #ffeee6;
  color: #ff6e3e;
}

.rank-list-swiper {
  margin-top: 0.16rem;
  padding: 0.1rem 0 0.47rem;
}
.rank-list-swiper .swiper-slide {
  padding: 0 0.3rem;
  box-sizing: border-box;
}
.rank-list-swiper .rank-list {
  border-radius: 0.39rem;
  background: linear-gradient(
    84deg,
    rgba(255, 255, 255, 0.7) 3.57%,
    #fff 95.57%
  );
  box-shadow: 0 0.03rem 0.1rem 0 rgba(128, 128, 128, 0.16);
}
.rank-list-swiper .rank-item {
  height: 0.86rem;
  display: flex;
  align-items: center;
  padding: 0 0.27rem;
  box-sizing: border-box;
  border-bottom: 0.01rem solid #efefef;
  color: inherit;
  text-decoration: none;
}
.rank-list-swiper .rank-item:last-child {
  border-bottom: none;
}
.rank-list-swiper .rank-item-img {
  flex-shrink: 0;
}
.rank-list-swiper .rank-item-img img {
  display: block;
  /* width: 1.12rem;
  height: 0.52rem; */
  width: 1.344rem;
  height: 0.624rem;
  border-radius: 0.12rem;
  object-fit: cover;
}
.rank-list-swiper .rank-item-index {
  flex-shrink: 0;
  width: 0.51rem;
  display: flex;
  align-items: center;
  justify-content: center;
}
.rank-list-swiper .rank-item-index span {
  width: 0.32rem;
  height: 0.32rem;
  border-radius: 0.08rem;
  background: linear-gradient(0deg, #d0a288 0%, #d1a58a 62.68%);
  color: #fff;
  text-align: center;
  font-size: 0.24rem;
  line-height: 0.32rem;
}
.rank-list-swiper .rank-item-index-1 span {
  color: transparent;
  width: 0.51rem;
  height: 0.62rem;
  background: url('	https://static.fhyx.com/images/application/wap/com/search_icon3.png')
    center/contain no-repeat;
}
.rank-list-swiper .rank-item-index-2 span {
  color: transparent;
  width: 0.51rem;
  height: 0.62rem;
  background: url('https://static.fhyx.com/images/application/wap/com/search_icon4.png')
    center/contain no-repeat;
}
.rank-list-swiper .rank-item-index-3 span {
  color: transparent;
  width: 0.51rem;
  height: 0.62rem;
  background: url('https://static.fhyx.com/images/application/wap/com/search_icon5.png')
    center/contain no-repeat;
}
.rank-list-swiper .rank-item-info {
  flex: 1;
  min-width: 0;
  display: flex;
  align-items: center;
  box-sizing: border-box;
  padding: 0 0.06rem;
}
.rank-list-swiper .rank-item-info .rank-item-title {
  font-size: 0.3rem;
  line-height: 0.3rem;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  text-align: left;
}
.rank-list-swiper .rank-item-info .rank-item-tag {
  flex-shrink: 0;
  min-width: 0.68rem;
  height: 0.32rem;
  border-radius: 0.08rem;
  background: #00b9ff;
  color: #fff;
  text-align: center;
  font-size: 0.2rem;
  line-height: 0.32rem;
  margin-left: 0.05rem;
}
.rank-list-swiper .rank-item-change-num {
  flex-shrink: 0;
  width: 0.68rem;
  display: flex;
  align-items: center;
  justify-content: center;
}
.rank-list-swiper .rank-item-change-num span {
  display: block;
  color: #fff;
  font-size: 0.28rem;
}
.rank-list-swiper .rank-item-change-num span.same {
  color: transparent;
  font-size: 0;
  /* width: 0.13rem;
  height: 0.03rem; */
  width: 0.25rem;
  height: 0.06rem;
  background-color: #0554ff;
}
.rank-list-swiper .rank-item-change-num span.down {
  color: #62d100;
}
.rank-list-swiper .rank-item-change-num span.down::before {
  content: '';
  display: inline-block;
  width: 0px;
  height: 0px;
  border-top: 0.105rem solid #62d100;
  border-left: 0.09rem solid transparent;
  border-right: 0.09rem solid transparent;
  margin-bottom: 0.02rem;
}
.rank-list-swiper .rank-item-change-num span.up {
  color: #f54e05;
}
.rank-list-swiper .rank-item-change-num span.up::before {
  content: '';
  display: inline-block;
  width: 0px;
  height: 0px;
  border-bottom: 0.105rem solid #f54e05;
  border-left: 0.09rem solid transparent;
  border-right: 0.09rem solid transparent;
  margin-bottom: 0.02rem;
}
.rank-list-swiper .rank-item-change-num span.new {
  font-size: 0;
}
.rank-list-swiper .rank-item-change-num span.new::before {
  display: inline-block;
  content: 'NEW';
  color: #fff;
  font-size: 0.2rem;
  letter-spacing: 0.01rem;
  border-radius: 0.04rem;
  background: #f54e05;
  text-align: center;
  line-height: 0.32rem;
  padding: 0 0.1rem;
}

.rank-list-swiper .rank-item-igm-score {
  flex-shrink: 0;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
}
.rank-list-swiper .rank-item-igm-score span {
  position: absolute;
  color: #fff;
  font-size: 0.24rem;
}

.rank-list-swiper .rank-item-metacritic-score {
  flex-shrink: 0;
  width: 0.4rem;
  height: 0.4rem;
  border-radius: 0.08rem;
  background: #4ee578;

  color: #282a28;
  text-align: center;
  font-size: 0.24rem;
  line-height: 0.4rem;
}

.rank-list-swiper .rank-link {
  display: block;
  color: #ff6e3e;
  text-align: center;
  font-size: 0.24rem;
  margin: 0.3rem auto 0;
  text-decoration: none;
}

.del-tip-modal .model-content {
  width: 6.2rem;
  height: 2.4rem;
  border-radius: 0.24rem;
  background: #fff;
  overflow: hidden;
}
.del-tip-modal .model-title {
  text-align: center;
  font-size: 0.3rem;
  margin-top: 0.6rem;
}
.del-tip-modal .model-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.5rem;
  margin-top: 0.42rem;
}
.del-tip-modal .model-btn .btn {
  width: 2.4rem;
  height: 0.6rem;
  border-radius: 0.32rem;
  border: 0.01rem solid #ccc;

  color: #333;
  text-align: center;
  font-size: 0.32rem;
  line-height: 0.6rem;
  box-sizing: border-box;
}
.del-tip-modal .model-btn .btn.btn-primary {
  background: linear-gradient(90deg, #ff542c 0%, #ff9d39 100%);
  color: #fff;
  border: none;
}
